package egovframework.service.mapper;


import egovframework.util.PageCriteria;
import egovframework.vo.NoticeVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface NoticeMapper {
	
	int getNoticeTotalCount(HashMap<String, String> paramMap);
	
	List<NoticeVO> getNoticeList(PageCriteria criteria);
	
	int updateNoticeReadCount(HashMap<String, String> paramMap);
	
	NoticeVO getNotice(Map<String, String> paramMap);

	int insertNotice(Map<String, Object> paramMap);

	int updateNotice(Map<String, Object> paramMap);

	void deleteNotice(Map<String, Object> paramMap);

	List<NoticeVO> getNoticeListData();
}
